---
id: ebooks-shares
name: Ebooks-Shares
description: "Ebooks-Shares is a Private Torrent Tracker for EBOOKS / AUDIOBOOKS"
language: en-US
type: private
encoding: UTF-8
testlinktorrent: false
links:
  - https://ebooks-shares.org/

caps:
  categorymappings:
    # Audio
    - {id: 293, cat: Audio/Audiobook, desc: "Audio: Fiction"}
    - {id: 294, cat: Audio/Audiobook, desc: "Audio:Sci-Fi/Fantasy"}
    - {id: 295, cat: Audio/Audiobook, desc: "Audio:Crime/Thriller"}
    - {id: 296, cat: Audio/Audiobook, desc: "Audio:Horror"}
    - {id: 297, cat: Audio/Audiobook, desc: "Audio:General"}
    - {id: 302, cat: Audio/Audiobook, desc: "Audio: (TTC,TMS,TGC)"}
    - {id: 303, cat: Audio/Audiobook, desc: "Audio:Autobiography "}
    - {id: 308, cat: Audio/Audiobook, desc: "Audio:Collections"}
    - {id: 309, cat: Audio/Audiobook, desc: "Audio:History"}
    - {id: 310, cat: Audio/Audiobook, desc: "Audio:Children/YA"}
    - {id: 311, cat: Audio/Audiobook, desc: "Audio:Romance"}
    - {id: 317, cat: Audio/Audiobook, desc: "Audio:Urbn Fant/para"}
    - {id: 319, cat: Audio/Audiobook, desc: "Audio:V.I.P"}
    - {id: 320, cat: Audio/Audiobook, desc: "Audio:Science/engine"}
    - {id: 321, cat: Audio/Audiobook, desc: "Audio:History/War"}
    - {id: 322, cat: Audio/Audiobook, desc: "Audio:non fiction"}
    - {id: 323, cat: Audio/Audiobook, desc: "Audio:Educational"}
    - {id: 324, cat: Audio/Audiobook, desc: "Audio:Tutorials"}
    - {id: 325, cat: Audio/Audiobook, desc: "Audio:True Crime"}
    - {id: 326, cat: Audio/Audiobook, desc: "Audio:Tech/Computers"}
    # Collections
    - {id: 305, cat: Books/EBook, desc: "Same Author"}
    - {id: 345, cat: Books/Mags, desc: "Collection: Magazines"}
    - {id: 307, cat: Books/EBook, desc: "Collection: Military"}
    - {id: 342, cat: Books/EBook, desc: "Collection: Multiple Authors"}
    - {id: 343, cat: Books/EBook, desc: "Collection: Fantasy"}
    - {id: 359, cat: Books/EBook, desc: "Collection: Same Series"}
    - {id: 364, cat: Books/EBook, desc: "Collection: Multiple: Fiction"}
    - {id: 365, cat: Books/EBook, desc: "Collection: Multiple:Non Fiction"}
    # Fiction
    - {id: 281, cat: Books/EBook, desc: "Horror"}
    - {id: 282, cat: Books/EBook, desc: "Sci-Fi/Fantasy"}
    - {id: 275, cat: Books/EBook, desc: "General Fiction"}
    - {id: 280, cat: Books/EBook, desc: "Crime/Thriller/Myste"}
    - {id: 312, cat: Books/EBook, desc: "Romance"}
    - {id: 313, cat: Books/EBook, desc: "Comedy/Humour"}
    - {id: 314, cat: Books/EBook, desc: "Historical Fiction"}
    - {id: 315, cat: Books/EBook, desc: "Cozy/Mystery "}
    - {id: 318, cat: Books/EBook, desc: "Urbn Fantasy/Para"}
    - {id: 340, cat: Books/EBook, desc: "Lit/RPG"}
    - {id: 341, cat: Books/EBook, desc: "Collections"}
    - {id: 352, cat: Books/EBook, desc: "Westerns"}
    # Children & Y/A
    - {id: 299, cat: Books/EBook, desc: "Young Adult"}
    - {id: 298, cat: Books/EBook, desc: "Children's"}
    # Education/Textbooks
    - {id: 278, cat: Books/EBook, desc: "Tutorials"}
    - {id: 300, cat: Books/EBook, desc: "Textbooks"}
    - {id: 301, cat: Books/EBook, desc: "Educational"}
    - {id: 328, cat: Books/EBook, desc: "Engineering/Mech"}
    - {id: 339, cat: Books/EBook, desc: "Science/Physics"}
    - {id: 346, cat: Books/EBook, desc: "Chemistry"}
    - {id: 347, cat: Books/EBook, desc: "Medical"}
    - {id: 348, cat: Books/EBook, desc: "Mathematics"}
    - {id: 363, cat: Books/EBook, desc: "Sheet Music"}
    - {id: 366, cat: Books/EBook, desc: "Astronomy"}
    # Tech/Computers
    - {id: 331, cat: Books/EBook, desc: "Electronics"}
    - {id: 336, cat: Books/EBook, desc: "Video Games"}
    - {id: 337, cat: Books/EBook, desc: "Computers"}
    - {id: 350, cat: Books/EBook, desc: "Programming"}
    - {id: 354, cat: Books/EBook, desc: "Apps"}
    # Hobbies/pastimes
    - {id: 271, cat: Books/EBook, desc: "Food And Drink"}
    - {id: 272, cat: Books/EBook, desc: "General Hobbies"}
    - {id: 327, cat: Books/EBook, desc: "Gardening"}
    - {id: 329, cat: Books/EBook, desc: "Motorcars/Repairs"}
    - {id: 330, cat: Books/EBook, desc: "D.I.Y"}
    - {id: 332, cat: Books/EBook, desc: "Trivia/Quiz"}
    - {id: 367, cat: Books/EBook, desc: "Health & Fitness"}
    - {id: 369, cat: Books/EBook, desc: "Woodworking"}
    # Non Fict/Ref
    - {id: 285, cat: Books/EBook, desc: "General Non-fiction"}
    - {id: 289, cat: Books/EBook, desc: "Autobiography/Memoir"}
    - {id: 274, cat: Books/EBook, desc: "Business"}
    - {id: 316, cat: Books/EBook, desc: "True Crime"}
    - {id: 335, cat: Books/EBook, desc: "Entertainment"}
    - {id: 338, cat: Books/EBook, desc: "Encyclopedia/Ref"}
    - {id: 349, cat: Books/EBook, desc: "Self Help"}
    - {id: 351, cat: Books/EBook, desc: "Religion"}
    - {id: 358, cat: Books/EBook, desc: "History"}
    - {id: 362, cat: Books/EBook, desc: "Politics"}
    # Military
    - {id: 287, cat: Books/EBook, desc: "WW1"}
    - {id: 288, cat: Books/EBook, desc: "WW2"}
    - {id: 12, cat: Books/EBook, desc: "Army,Navy,Airforce"}
    - {id: 286, cat: Books/EBook, desc: "General Military "}
    # Zoology
    - {id: 334, cat: Books/EBook, desc: "Veterinary/Pets"}
    - {id: 361, cat: Books/EBook, desc: "Nature And Wildlife"}
    # Art & Crafts
    - {id: 344, cat: Books/EBook, desc: "Model Making"}
    - {id: 357, cat: Books/EBook, desc: "Art"}
    # Comics
    - {id: 290, cat: Books/Comics, desc: "General Comics"}
    - {id: 291, cat: Books/Comics, desc: "Marvel"}
    - {id: 292, cat: Books/Comics, desc: "D/C"}
    # Magazines
    - {id: 306, cat: Books/Mags, desc: "Music"}
    - {id: 10, cat: Books/Mags, desc: "Language Learn"}
    - {id: 13, cat: Books/Mags, desc: "Non English Bks"}
    - {id: 16, cat: Books/Mags, desc: "VIP"}

  modes:
    search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: vip
    type: checkbox
    label: Include VIP results
    default: true
  - name: sort
    type: select
    label: Sort requested from site
    default: 3
    options:
      3: created
      5: seeders
      4: size
      2: title
  - name: type
    type: select
    label: Order requested from site
    default: 2
    options:
      2: desc
      1: asc
  - name: info
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "All members are required to log into their account at least every 89 days or you will be deleted without warning."

login:
  path: index.php?page=login
  method: post
  inputs:
    uid: "{{ .Config.username }}"
    pwd: "{{ .Config.password }}"
  error:
    - selector: tr td span[style="color:#FF0000;"]
  test:
    path: index.php
    selector: a[href="logout.php"]

download:
  selectors:
    - selector: a[href^="download.php?id="]
      attribute: href

search:
  paths:
    # https://ebooks-shares.org/index.php?page=torrents&search=&category=0&active=0
    - path: index.php
  inputs:
    page: torrents
    search: "{{ .Keywords }}"
    # does not support multi category selection so defaulting to all
    category: 0
    # 0 all, 1 active only, 2 dead only
    active: 0
    order: "{{ .Config.sort }}"
    by: "{{ .Config.type }}"

  rows:
    selector: "table.lista:not(table[cellspacing]) > tbody > tr:has(a[href^=\"index.php?page=torrent-details&id=\"]){{ if .Config.vip }}{{ else }}:not(:has(a[href$=\"&category=16\"])):not(:has(a[href$=\"&category=319\"])){{ end }}"

  fields:
    category:
      selector: a[href^="index.php?page=torrents&category="]
      attribute: href
      filters:
        - name: querystring
          args: category
    _is_vip:
      selector: a[href$="&category=16"], a[href$="&category=319"]
      attribute: href
      optional: true
    title:
      selector: a[href^="index.php?page=torrent-details&id="]
      filters:
        - name: append
          args: "{{ if .Result._is_vip }} VIP{{ else }}{{ end }}"
    details:
      selector: a[href^="index.php?page=torrent-details&id="]
      attribute: href
    download:
      selector: a[href^="index.php?page=downloadcheck"]
      attribute: href
    poster:
      selector: a[href^="index.php?page=torrent-details&id="]
      attribute: onmouseover
      filters:
        - name: regexp
          args: "src=(.*?) "
        - name: replace
          args: ["torrentimg/nocover.jpg", ""]
    size:
      selector: td:nth-last-child(4)
    date:
      selector: td:nth-last-child(8)
      # auto adjusted by site account profile
      filters:
        - name: dateparse
          args: dd/MM/yyyy
    seeders:
      selector: td:nth-last-child(7)
    leechers:
      selector: td:nth-last-child(6)
    grabs:
      selector: td:nth-last-child(5)
    downloadvolumefactor:
      text: 1
    uploadvolumefactor:
      text: 1
    minimumseedtime:
      # 1 day (as seconds = 1 x 24 x 60 x 60)
      text: 86400
#  xbtitFM v4.1.31
